%global git_date  20230726
%global git_hash  6233901
%global git_ver  1.1.1

%global rel  50
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:     wdisplays
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:  GUI display configurator for wlroots compositors
License:  GPLv3+
URL:      https://github.com/artizirk/wdisplays

Source:	%{url}/%{src_name}

BuildRequires: desktop-file-utils
BuildRequires: gcc make cmake
BuildRequires: gtk3-devel
BuildRequires: libepoxy-devel
BuildRequires: meson
BuildRequires: wayland-devel
BuildRequires: pkgconfig(wayland-protocols)

Conflicts: wlroots < 0.7.0
Requires:  hicolor-icon-theme

%description

wdisplays is a graphical application for configuring displays in
Wayland compositors. It borrows some code from kanshi. It should work
in any compositor that implements the
wlr-output-management-unstable-v1 protocol, including sway. The goal
of this project is to allow precise adjustment of display settings in
kiosks, digital signage, and other elaborate multi-monitor setups.

%prep
%autosetup -p1 -n %{name}

%build
%meson
%meson_build

%install
%meson_install
find %{buildroot}

desktop-file-install --dir %{buildroot}/%{_datadir}/applications \
    --set-icon %{name} \
    --set-key=Terminal --set-value=false \
    --remove-key=Version \
    --add-category=Settings --add-category=HardwareSettings \
    %{buildroot}/%{_datadir}/applications/network.cycles.%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/*

%doc README.md

%license LICENSES/*

%changelog
%autochangelog
